org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class TopLevelComplexTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.ComplexTypeImpl
          - - org.apache.xmlbeans.impl.xb.xsdschema.impl.TopLevelComplexTypeImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, ComplexType, OpenAttrs, TopLevelComplexType, SimpleValue, XmlObject, XmlTokenSource

      public class TopLevelComplexTypeImpl
      extends ComplexTypeImpl
      implements TopLevelComplexType

  An XML topLevelComplexType(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.TopLevelComplexType

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopLevelComplexTypeImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the "name" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.ComplexTypeImpl

      `addNewAll, addNewAnyAttribute, addNewAttribute, addNewAttributeGroup, addNewChoice, addNewComplexContent, addNewGroup, addNewSequence, addNewSimpleContent, getAbstract, getAll, getAnyAttribute, getAttributeArray, getAttributeArray, getAttributeGroupArray, getAttributeGroupArray, getAttributeGroupList, getAttributeList, getBlock, getChoice, getComplexContent, getFinal, getGroup, getMixed, getSequence, getSimpleContent, insertNewAttribute, insertNewAttributeGroup, isSetAbstract, isSetAll, isSetAnyAttribute, isSetBlock, isSetChoice, isSetComplexContent, isSetFinal, isSetGroup, isSetMixed, isSetSequence, isSetSimpleContent, removeAttribute, removeAttributeGroup, setAbstract, setAll, setAnyAttribute, setAttributeArray, setAttributeArray, setAttributeGroupArray, setAttributeGroupArray, setBlock, setChoice, setComplexContent, setFinal, setGroup, setMixed, setSequence, setSimpleContent, sizeOfAttributeArray, sizeOfAttributeGroupArray, unsetAbstract, unsetAll, unsetAnyAttribute, unsetBlock, unsetChoice, unsetComplexContent, unsetFinal, unsetGroup, unsetMixed, unsetSequence, unsetSimpleContent, xgetAbstract, xgetBlock, xgetFinal, xgetMixed, xsetAbstract, xsetBlock, xsetFinal, xsetMixed`

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.ComplexType

      `addNewAll, addNewAnyAttribute, addNewAttribute, addNewAttributeGroup, addNewChoice, addNewComplexContent, addNewGroup, addNewSequence, addNewSimpleContent, getAbstract, getAll, getAnyAttribute, getAttributeArray, getAttributeArray, getAttributeGroupArray, getAttributeGroupArray, getAttributeGroupList, getAttributeList, getBlock, getChoice, getComplexContent, getFinal, getGroup, getMixed, getSequence, getSimpleContent, insertNewAttribute, insertNewAttributeGroup, isSetAbstract, isSetAll, isSetAnyAttribute, isSetBlock, isSetChoice, isSetComplexContent, isSetFinal, isSetGroup, isSetMixed, isSetSequence, isSetSimpleContent, removeAttribute, removeAttributeGroup, setAbstract, setAll, setAnyAttribute, setAttributeArray, setAttributeArray, setAttributeGroupArray, setAttributeGroupArray, setBlock, setChoice, setComplexContent, setFinal, setGroup, setMixed, setSequence, setSimpleContent, sizeOfAttributeArray, sizeOfAttributeGroupArray, unsetAbstract, unsetAll, unsetAnyAttribute, unsetBlock, unsetChoice, unsetComplexContent, unsetFinal, unsetGroup, unsetMixed, unsetSequence, unsetSimpleContent, xgetAbstract, xgetBlock, xgetFinal, xgetMixed, xsetAbstract, xsetBlock, xsetFinal, xsetMixed`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TopLevelComplexTypeImpl

          public TopLevelComplexTypeImpl(SchemaType sType)

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `ComplexType`
      Specified by:
        `getName` in interface `TopLevelComplexType`
      Overrides:
        `getName` in class `ComplexTypeImpl`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `ComplexType`
      Specified by:
        `xgetName` in interface `TopLevelComplexType`
      Overrides:
        `xgetName` in class `ComplexTypeImpl`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `ComplexType`
      Specified by:
        `isSetName` in interface `TopLevelComplexType`
      Overrides:
        `isSetName` in class `ComplexTypeImpl`

    - #### setName

          public void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `ComplexType`
      Specified by:
        `setName` in interface `TopLevelComplexType`
      Overrides:
        `setName` in class `ComplexTypeImpl`

    - #### xsetName

          public void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `ComplexType`
      Specified by:
        `xsetName` in interface `TopLevelComplexType`
      Overrides:
        `xsetName` in class `ComplexTypeImpl`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `ComplexType`
      Specified by:
        `unsetName` in interface `TopLevelComplexType`
      Overrides:
        `unsetName` in class `ComplexTypeImpl`